curl 'https://api.sandbox.uqpay.org/api/v1/balances/retrieve/SGD' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"available_balance": "742",
"balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
"currency": "SGD"
}
}
Balances
Retrieve a balance
This endpoint returns a balance based on the currency.
GET
/
api
/
v1
/
balances
/
retrieve
/
{currency}
curl 'https://api.sandbox.uqpay.org/api/v1/balances/retrieve/SGD' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"available_balance": "742",
"balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
"currency": "SGD"
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
object
curl 'https://api.sandbox.uqpay.org/api/v1/balances/retrieve/SGD' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"available_balance": "742",
"balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
"currency": "SGD"
}
}